org.apache.sysds.api.mlcontext

## Enum MLContext.ExplainLevel

- java.lang.Object
- - java.lang.Enum<MLContext.ExplainLevel>
  - - org.apache.sysds.api.mlcontext.MLContext.ExplainLevel

- All Implemented Interfaces:
    Serializable, Comparable<MLContext.ExplainLevel>
  Enclosing class:
    MLContext

      public static enum MLContext.ExplainLevel
      extends Enum<MLContext.ExplainLevel>

  The different explain levels supported by SystemDS.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HOPS` Explain program and HOPs
    `NONE` Explain disabled
    `RECOMPILE_HOPS` Explain HOPs, including recompile
    `RECOMPILE_RUNTIME` Explain runtime program, including recompile
    `RUNTIME` Explain runtime program

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Explain.ExplainType` | `getExplainType()`
    `static MLContext.ExplainLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MLContext.ExplainLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final MLContext.ExplainLevel NONE

      Explain disabled

    - #### HOPS

          public static final MLContext.ExplainLevel HOPS

      Explain program and HOPs

    - #### RUNTIME

          public static final MLContext.ExplainLevel RUNTIME

      Explain runtime program

    - #### RECOMPILE_HOPS

          public static final MLContext.ExplainLevel RECOMPILE_HOPS

      Explain HOPs, including recompile

    - #### RECOMPILE_RUNTIME

          public static final MLContext.ExplainLevel RECOMPILE_RUNTIME

      Explain runtime program, including recompile

  - ### Method Detail

    - #### values

          public static MLContext.ExplainLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MLContext.ExplainLevel c : MLContext.ExplainLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MLContext.ExplainLevel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getExplainType

          public Explain.ExplainType getExplainType()

Copyright © 2021 The Apache Software Foundation. All rights reserved.